
_define_cs:

;mcu_driver.c,6 :: 		void define_cs ( uint8_t io_state )
;mcu_driver.c,8 :: 		TRISL1_bit = io_state;//IEN define
	BTFSC       FARG_define_cs_io_state+0, 0 
	GOTO        L__define_cs1
	BCF         TRISL1_bit+0, BitPos(TRISL1_bit+0) 
	GOTO        L__define_cs2
L__define_cs1:
	BSF         TRISL1_bit+0, BitPos(TRISL1_bit+0) 
L__define_cs2:
;mcu_driver.c,9 :: 		}
L_end_define_cs:
	RETURN      0
; end of _define_cs

_define_int:

;mcu_driver.c,11 :: 		void define_int ( uint8_t io_state )
;mcu_driver.c,13 :: 		TRISB0_bit = io_state;//INT define
	BTFSC       FARG_define_int_io_state+0, 0 
	GOTO        L__define_int4
	BCF         TRISB0_bit+0, BitPos(TRISB0_bit+0) 
	GOTO        L__define_int5
L__define_int4:
	BSF         TRISB0_bit+0, BitPos(TRISB0_bit+0) 
L__define_int5:
;mcu_driver.c,14 :: 		}
L_end_define_int:
	RETURN      0
; end of _define_int

_log_init:

;mcu_driver.c,16 :: 		void log_init ( void )
;mcu_driver.c,18 :: 		UART1_Init( LOG_BAUD );
	BSF         BAUDCON+0, 3, 0
	MOVLW       6
	MOVWF       SPBRGH+0 
	MOVLW       130
	MOVWF       SPBRG+0 
	BSF         TXSTA+0, 2, 0
	CALL        _UART1_Init+0, 0
;mcu_driver.c,19 :: 		}
L_end_log_init:
	RETURN      0
; end of _log_init

_log_text:

;mcu_driver.c,21 :: 		void log_text ( uint8_t *txt_data )
;mcu_driver.c,23 :: 		UART_Write_Text( txt_data );
	MOVF        FARG_log_text_txt_data+0, 0 
	MOVWF       FARG_UART_Write_Text_uart_text+0 
	MOVF        FARG_log_text_txt_data+1, 0 
	MOVWF       FARG_UART_Write_Text_uart_text+1 
	CALL        _UART_Write_Text+0, 0
;mcu_driver.c,24 :: 		}
L_end_log_text:
	RETURN      0
; end of _log_text

_log_line:

;mcu_driver.c,26 :: 		void log_line ( uint8_t *txt_data )
;mcu_driver.c,28 :: 		UART_Write_Text( txt_data );
	MOVF        FARG_log_line_txt_data+0, 0 
	MOVWF       FARG_UART_Write_Text_uart_text+0 
	MOVF        FARG_log_line_txt_data+1, 0 
	MOVWF       FARG_UART_Write_Text_uart_text+1 
	CALL        _UART_Write_Text+0, 0
;mcu_driver.c,29 :: 		UART_Write( 13 );
	MOVLW       13
	MOVWF       FARG_UART_Write__data+0 
	CALL        _UART_Write+0, 0
;mcu_driver.c,30 :: 		UART_Write( 10 );
	MOVLW       10
	MOVWF       FARG_UART_Write__data+0 
	CALL        _UART_Write+0, 0
;mcu_driver.c,31 :: 		}
L_end_log_line:
	RETURN      0
; end of _log_line

_dev_i2c_init:

;mcu_driver.c,33 :: 		void dev_i2c_init ( void )
;mcu_driver.c,35 :: 		I2C1_Init( I2C_SPEED );
	MOVLW       160
	MOVWF       SSP1ADD+0 
	CALL        _I2C1_Init+0, 0
;mcu_driver.c,36 :: 		}
L_end_dev_i2c_init:
	RETURN      0
; end of _dev_i2c_init

_dev_i2c_start:

;mcu_driver.c,38 :: 		void dev_i2c_start ( void )
;mcu_driver.c,40 :: 		I2C1_Start(  );
	CALL        _I2C1_Start+0, 0
;mcu_driver.c,41 :: 		}
L_end_dev_i2c_start:
	RETURN      0
; end of _dev_i2c_start

_dev_i2c_stop:

;mcu_driver.c,43 :: 		void dev_i2c_stop ( void )
;mcu_driver.c,45 :: 		I2C1_Stop(  );
	CALL        _I2C1_Stop+0, 0
;mcu_driver.c,46 :: 		}
L_end_dev_i2c_stop:
	RETURN      0
; end of _dev_i2c_stop

_dev_i2c_write:

;mcu_driver.c,48 :: 		void dev_i2c_write ( uint8_t tx_byte )
;mcu_driver.c,50 :: 		I2C1_Wr( tx_byte );
	MOVF        FARG_dev_i2c_write_tx_byte+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;mcu_driver.c,51 :: 		}
L_end_dev_i2c_write:
	RETURN      0
; end of _dev_i2c_write

_dev_i2c_read:

;mcu_driver.c,53 :: 		uint8_t dev_i2c_read ( void )
;mcu_driver.c,55 :: 		return I2C1_Rd( _I2C_NACK );
	CLRF        FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
;mcu_driver.c,56 :: 		}
L_end_dev_i2c_read:
	RETURN      0
; end of _dev_i2c_read
