
_magneto6_generic_write:

;driver.c,28 :: 		void magneto6_generic_write ( uint8_t reg_adr, uint8_t trigger, uint8_t tx_data )
;driver.c,32 :: 		temp_data = reg_adr & TRIGGER_MASK;
	MOVLW       31
	ANDWF       FARG_magneto6_generic_write_reg_adr+0, 0 
	MOVWF       magneto6_generic_write_temp_data_L0+0 
;driver.c,33 :: 		temp_data |= trigger << TRIGGER_SHIFT;
	MOVLW       5
	MOVWF       R1 
	MOVF        FARG_magneto6_generic_write_trigger+0, 0 
	MOVWF       R0 
	MOVF        R1, 0 
L__magneto6_generic_write9:
	BZ          L__magneto6_generic_write10
	RLCF        R0, 1 
	BCF         R0, 0 
	ADDLW       255
	GOTO        L__magneto6_generic_write9
L__magneto6_generic_write10:
	MOVF        R0, 0 
	IORWF       magneto6_generic_write_temp_data_L0+0, 1 
;driver.c,35 :: 		dev_i2c_start(  );
	CALL        _dev_i2c_start+0, 0
;driver.c,36 :: 		dev_i2c_write( MAGNETO6_SLAVE_ADR_W );
	MOVLW       106
	MOVWF       FARG_dev_i2c_write_tx_byte+0 
	CALL        _dev_i2c_write+0, 0
;driver.c,37 :: 		dev_i2c_write( temp_data );
	MOVF        magneto6_generic_write_temp_data_L0+0, 0 
	MOVWF       FARG_dev_i2c_write_tx_byte+0 
	CALL        _dev_i2c_write+0, 0
;driver.c,38 :: 		dev_i2c_write( tx_data );
	MOVF        FARG_magneto6_generic_write_tx_data+0, 0 
	MOVWF       FARG_dev_i2c_write_tx_byte+0 
	CALL        _dev_i2c_write+0, 0
;driver.c,39 :: 		dev_i2c_stop(  );
	CALL        _dev_i2c_stop+0, 0
;driver.c,40 :: 		}
L_end_magneto6_generic_write:
	RETURN      0
; end of _magneto6_generic_write

_magneto6_generic_read:

;driver.c,42 :: 		uint8_t magneto6_generic_read ( uint8_t reg_adr, uint8_t trigger )
;driver.c,46 :: 		temp_data = reg_adr & TRIGGER_MASK;
	MOVLW       31
	ANDWF       FARG_magneto6_generic_read_reg_adr+0, 0 
	MOVWF       magneto6_generic_read_temp_data_L0+0 
;driver.c,47 :: 		temp_data |= trigger << TRIGGER_SHIFT;
	MOVLW       5
	MOVWF       R1 
	MOVF        FARG_magneto6_generic_read_trigger+0, 0 
	MOVWF       R0 
	MOVF        R1, 0 
L__magneto6_generic_read12:
	BZ          L__magneto6_generic_read13
	RLCF        R0, 1 
	BCF         R0, 0 
	ADDLW       255
	GOTO        L__magneto6_generic_read12
L__magneto6_generic_read13:
	MOVF        R0, 0 
	IORWF       magneto6_generic_read_temp_data_L0+0, 1 
;driver.c,49 :: 		dev_i2c_start(  );
	CALL        _dev_i2c_start+0, 0
;driver.c,50 :: 		dev_i2c_write( MAGNETO6_SLAVE_ADR_R );
	MOVLW       107
	MOVWF       FARG_dev_i2c_write_tx_byte+0 
	CALL        _dev_i2c_write+0, 0
;driver.c,51 :: 		dev_i2c_write( temp_data );
	MOVF        magneto6_generic_read_temp_data_L0+0, 0 
	MOVWF       FARG_dev_i2c_write_tx_byte+0 
	CALL        _dev_i2c_write+0, 0
;driver.c,52 :: 		temp_data = dev_i2c_read(  );
	CALL        _dev_i2c_read+0, 0
	MOVF        R0, 0 
	MOVWF       magneto6_generic_read_temp_data_L0+0 
;driver.c,53 :: 		dev_i2c_stop(  );
	CALL        _dev_i2c_stop+0, 0
;driver.c,55 :: 		return temp_data;
	MOVF        magneto6_generic_read_temp_data_L0+0, 0 
	MOVWF       R0 
;driver.c,56 :: 		}
L_end_magneto6_generic_read:
	RETURN      0
; end of _magneto6_generic_read

_magneto6_get_id:

;driver.c,58 :: 		uint8_t magneto6_get_id ( void )
;driver.c,61 :: 		id = magneto6_generic_read( MAGNETO6_REG_TEMP_3_2_ID_AXIS_Z_3_0,
	MOVLW       5
	MOVWF       FARG_magneto6_generic_read_reg_adr+0 
;driver.c,62 :: 		MAGNETO6_TRIGGER_NO );
	CLRF        FARG_magneto6_generic_read_trigger+0 
	CALL        _magneto6_generic_read+0, 0
;driver.c,63 :: 		id >>= ID_SHIFT;
	MOVF        R0, 0 
	MOVWF       R1 
	RRCF        R1, 1 
	BCF         R1, 7 
	RRCF        R1, 1 
	BCF         R1, 7 
	RRCF        R1, 1 
	BCF         R1, 7 
	RRCF        R1, 1 
	BCF         R1, 7 
;driver.c,64 :: 		id &= ID_MASK;
	MOVLW       3
	ANDWF       R1, 0 
	MOVWF       R0 
;driver.c,65 :: 		return id;
;driver.c,66 :: 		}
L_end_magneto6_get_id:
	RETURN      0
; end of _magneto6_get_id

_magneto6_get_type:

;driver.c,68 :: 		uint8_t magneto6_get_type ( void )
;driver.c,71 :: 		dev_type = magneto6_generic_read( MAGNETO6_REG_VERSION,
	MOVLW       22
	MOVWF       FARG_magneto6_generic_read_reg_adr+0 
;driver.c,72 :: 		MAGNETO6_TRIGGER_NO );
	CLRF        FARG_magneto6_generic_read_trigger+0 
	CALL        _magneto6_generic_read+0, 0
;driver.c,73 :: 		dev_type >>= TYPE_SHIFT;
	MOVF        R0, 0 
	MOVWF       R1 
	RRCF        R1, 1 
	BCF         R1, 7 
	RRCF        R1, 1 
	BCF         R1, 7 
	RRCF        R1, 1 
	BCF         R1, 7 
	RRCF        R1, 1 
	BCF         R1, 7 
;driver.c,74 :: 		dev_type &= TYPE_MASK;
	MOVLW       3
	ANDWF       R1, 0 
	MOVWF       R0 
;driver.c,75 :: 		return dev_type;
;driver.c,76 :: 		}
L_end_magneto6_get_type:
	RETURN      0
; end of _magneto6_get_type

_magneto6_get_hw_ver:

;driver.c,78 :: 		uint8_t magneto6_get_hw_ver ( void )
;driver.c,81 :: 		hw_ver = magneto6_generic_read( MAGNETO6_REG_VERSION,
	MOVLW       22
	MOVWF       FARG_magneto6_generic_read_reg_adr+0 
;driver.c,82 :: 		MAGNETO6_TRIGGER_NO );
	CLRF        FARG_magneto6_generic_read_trigger+0 
	CALL        _magneto6_generic_read+0, 0
;driver.c,83 :: 		hw_ver &= HWV_MASK;
	MOVLW       15
	ANDWF       R0, 1 
;driver.c,84 :: 		return hw_ver;
;driver.c,85 :: 		}
L_end_magneto6_get_hw_ver:
	RETURN      0
; end of _magneto6_get_hw_ver

_magneto6_get_temp_value:

;driver.c,87 :: 		int16_t magneto6_get_temp_value ( void )
;driver.c,89 :: 		int16_t temperature_value = 0;
	CLRF        magneto6_get_temp_value_temperature_value_L0+0 
	CLRF        magneto6_get_temp_value_temperature_value_L0+1 
;driver.c,92 :: 		temp_read = magneto6_generic_read( MAGNETO6_REG_TEMP_11_4,
	MOVLW       3
	MOVWF       FARG_magneto6_generic_read_reg_adr+0 
;driver.c,93 :: 		MAGNETO6_TRIGGER_NO );
	CLRF        FARG_magneto6_generic_read_trigger+0 
	CALL        _magneto6_generic_read+0, 0
;driver.c,94 :: 		temperature_value = temp_read;
	MOVF        R0, 0 
	MOVWF       magneto6_get_temp_value_temperature_value_L0+0 
	MOVLW       0
	MOVWF       magneto6_get_temp_value_temperature_value_L0+1 
;driver.c,95 :: 		temperature_value <<= HALF_BYTE_SHIFT;
	MOVLW       4
	MOVWF       R1 
	MOVF        R1, 0 
L__magneto6_get_temp_value18:
	BZ          L__magneto6_get_temp_value19
	RLCF        magneto6_get_temp_value_temperature_value_L0+0, 1 
	BCF         magneto6_get_temp_value_temperature_value_L0+0, 0 
	RLCF        magneto6_get_temp_value_temperature_value_L0+1, 1 
	ADDLW       255
	GOTO        L__magneto6_get_temp_value18
L__magneto6_get_temp_value19:
;driver.c,96 :: 		if ( 0 != ( temp_read  & SIGNED_MASK ) )
	MOVLW       128
	ANDWF       R0, 0 
	MOVWF       R1 
	MOVLW       0
	XORWF       R1, 0 
	BTFSC       STATUS+0, 2 
	GOTO        L_magneto6_get_temp_value0
;driver.c,98 :: 		temperature_value |= SIGNED_INT16_MASK;
	MOVLW       0
	IORWF       magneto6_get_temp_value_temperature_value_L0+0, 1 
	MOVLW       240
	IORWF       magneto6_get_temp_value_temperature_value_L0+1, 1 
;driver.c,99 :: 		}
L_magneto6_get_temp_value0:
;driver.c,100 :: 		temp_read = magneto6_generic_read( MAGNETO6_REG_TEMP_3_2_ID_AXIS_Z_3_0,
	MOVLW       5
	MOVWF       FARG_magneto6_generic_read_reg_adr+0 
;driver.c,101 :: 		MAGNETO6_TRIGGER_NO );
	CLRF        FARG_magneto6_generic_read_trigger+0 
	CALL        _magneto6_generic_read+0, 0
;driver.c,102 :: 		temp_read >>= HALF_BYTE_SHIFT;
	MOVF        R0, 0 
	MOVWF       R1 
	RRCF        R1, 1 
	BCF         R1, 7 
	RRCF        R1, 1 
	BCF         R1, 7 
	RRCF        R1, 1 
	BCF         R1, 7 
	RRCF        R1, 1 
	BCF         R1, 7 
;driver.c,103 :: 		temp_read &= TEMP_LSB_MASK;
	MOVLW       12
	ANDWF       R1, 0 
	MOVWF       R0 
;driver.c,104 :: 		temperature_value |= temp_read;
	MOVLW       0
	MOVWF       R1 
	MOVF        magneto6_get_temp_value_temperature_value_L0+0, 0 
	IORWF       R0, 1 
	MOVF        magneto6_get_temp_value_temperature_value_L0+1, 0 
	IORWF       R1, 1 
	MOVF        R0, 0 
	MOVWF       magneto6_get_temp_value_temperature_value_L0+0 
	MOVF        R1, 0 
	MOVWF       magneto6_get_temp_value_temperature_value_L0+1 
;driver.c,106 :: 		temperature_value -= TEMPERATURE_OFFSET;
	MOVLW       156
	SUBWF       R0, 1 
	MOVLW       4
	SUBWFB      R1, 1 
	MOVF        R0, 0 
	MOVWF       magneto6_get_temp_value_temperature_value_L0+0 
	MOVF        R1, 0 
	MOVWF       magneto6_get_temp_value_temperature_value_L0+1 
;driver.c,107 :: 		temperature_value *= TEMPERATURE_RES;
	CALL        _int2double+0, 0
	MOVLW       143
	MOVWF       R4 
	MOVLW       194
	MOVWF       R5 
	MOVLW       117
	MOVWF       R6 
	MOVLW       124
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	CALL        _double2int+0, 0
	MOVF        R0, 0 
	MOVWF       magneto6_get_temp_value_temperature_value_L0+0 
	MOVF        R1, 0 
	MOVWF       magneto6_get_temp_value_temperature_value_L0+1 
;driver.c,108 :: 		temperature_value += TEMPERATURE_OFFSET_VAL;
	MOVLW       25
	ADDWF       R0, 1 
	MOVLW       0
	ADDWFC      R1, 1 
	MOVF        R0, 0 
	MOVWF       magneto6_get_temp_value_temperature_value_L0+0 
	MOVF        R1, 0 
	MOVWF       magneto6_get_temp_value_temperature_value_L0+1 
;driver.c,110 :: 		return temperature_value;
;driver.c,111 :: 		}
L_end_magneto6_get_temp_value:
	RETURN      0
; end of _magneto6_get_temp_value

_magneto6_get_axis_value:

;driver.c,113 :: 		int16_t magneto6_get_axis_value ( uint8_t axis )
;driver.c,118 :: 		int16_t signed_val = SIGNED_VAL;
	MOVLW       0
	MOVWF       magneto6_get_axis_value_signed_val_L0+0 
	MOVLW       248
	MOVWF       magneto6_get_axis_value_signed_val_L0+1 
;driver.c,120 :: 		switch ( axis )
	GOTO        L_magneto6_get_axis_value1
;driver.c,122 :: 		case MAGNETO6_AXIS_X:
L_magneto6_get_axis_value3:
;driver.c,124 :: 		msb_read = magneto6_generic_read( MAGNETO6_REG_AXIS_X_11_4,
	CLRF        FARG_magneto6_generic_read_reg_adr+0 
;driver.c,125 :: 		MAGNETO6_TRIGGER_NO );
	CLRF        FARG_magneto6_generic_read_trigger+0 
	CALL        _magneto6_generic_read+0, 0
	MOVF        R0, 0 
	MOVWF       magneto6_get_axis_value_msb_read_L0+0 
;driver.c,126 :: 		lsb_read = magneto6_generic_read( MAGNETO6_REG_AXES_XY_3_0,
	MOVLW       4
	MOVWF       FARG_magneto6_generic_read_reg_adr+0 
;driver.c,127 :: 		MAGNETO6_TRIGGER_NO );
	CLRF        FARG_magneto6_generic_read_trigger+0 
	CALL        _magneto6_generic_read+0, 0
	MOVF        R0, 0 
	MOVWF       magneto6_get_axis_value_lsb_read_L0+0 
;driver.c,129 :: 		break;
	GOTO        L_magneto6_get_axis_value2
;driver.c,131 :: 		case MAGNETO6_AXIS_Y:
L_magneto6_get_axis_value4:
;driver.c,133 :: 		msb_read = magneto6_generic_read( MAGNETO6_REG_AXIS_Y_11_4,
	MOVLW       1
	MOVWF       FARG_magneto6_generic_read_reg_adr+0 
;driver.c,134 :: 		MAGNETO6_TRIGGER_NO );
	CLRF        FARG_magneto6_generic_read_trigger+0 
	CALL        _magneto6_generic_read+0, 0
	MOVF        R0, 0 
	MOVWF       magneto6_get_axis_value_msb_read_L0+0 
;driver.c,135 :: 		lsb_read = magneto6_generic_read( MAGNETO6_REG_AXES_XY_3_0,
	MOVLW       4
	MOVWF       FARG_magneto6_generic_read_reg_adr+0 
;driver.c,136 :: 		MAGNETO6_TRIGGER_NO );
	CLRF        FARG_magneto6_generic_read_trigger+0 
	CALL        _magneto6_generic_read+0, 0
	MOVF        R0, 0 
	MOVWF       magneto6_get_axis_value_lsb_read_L0+0 
;driver.c,137 :: 		break;
	GOTO        L_magneto6_get_axis_value2
;driver.c,139 :: 		case MAGNETO6_AXIS_Z:
L_magneto6_get_axis_value5:
;driver.c,141 :: 		msb_read = magneto6_generic_read( MAGNETO6_REG_AXIS_Z_11_4,
	MOVLW       2
	MOVWF       FARG_magneto6_generic_read_reg_adr+0 
;driver.c,142 :: 		MAGNETO6_TRIGGER_NO );
	CLRF        FARG_magneto6_generic_read_trigger+0 
	CALL        _magneto6_generic_read+0, 0
	MOVF        R0, 0 
	MOVWF       magneto6_get_axis_value_msb_read_L0+0 
;driver.c,143 :: 		lsb_read = magneto6_generic_read( MAGNETO6_REG_TEMP_3_2_ID_AXIS_Z_3_0,
	MOVLW       5
	MOVWF       FARG_magneto6_generic_read_reg_adr+0 
;driver.c,144 :: 		MAGNETO6_TRIGGER_NO );
	CLRF        FARG_magneto6_generic_read_trigger+0 
	CALL        _magneto6_generic_read+0, 0
	MOVF        R0, 0 
	MOVWF       magneto6_get_axis_value_lsb_read_L0+0 
;driver.c,145 :: 		break;
	GOTO        L_magneto6_get_axis_value2
;driver.c,147 :: 		default:
L_magneto6_get_axis_value6:
;driver.c,149 :: 		return MAGNETO6_DEV_ERROR;
	MOVLW       255
	MOVWF       R0 
	MOVLW       255
	MOVWF       R1 
	GOTO        L_end_magneto6_get_axis_value
;driver.c,151 :: 		}
L_magneto6_get_axis_value1:
	MOVF        FARG_magneto6_get_axis_value_axis+0, 0 
	XORLW       170
	BTFSC       STATUS+0, 2 
	GOTO        L_magneto6_get_axis_value3
	MOVF        FARG_magneto6_get_axis_value_axis+0, 0 
	XORLW       187
	BTFSC       STATUS+0, 2 
	GOTO        L_magneto6_get_axis_value4
	MOVF        FARG_magneto6_get_axis_value_axis+0, 0 
	XORLW       204
	BTFSC       STATUS+0, 2 
	GOTO        L_magneto6_get_axis_value5
	GOTO        L_magneto6_get_axis_value6
L_magneto6_get_axis_value2:
;driver.c,153 :: 		if ( 0 == ( msb_read  & SIGNED_MASK ) )
	MOVLW       128
	ANDWF       magneto6_get_axis_value_msb_read_L0+0, 0 
	MOVWF       R1 
	MOVLW       0
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_magneto6_get_axis_value7
;driver.c,155 :: 		signed_val = UNSGINED_VAL;
	CLRF        magneto6_get_axis_value_signed_val_L0+0 
	CLRF        magneto6_get_axis_value_signed_val_L0+1 
;driver.c,156 :: 		}
L_magneto6_get_axis_value7:
;driver.c,157 :: 		msb_read &= UNSIGNED_MASK;
	MOVLW       127
	ANDWF       magneto6_get_axis_value_msb_read_L0+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       magneto6_get_axis_value_msb_read_L0+0 
;driver.c,158 :: 		lsb_read &= MAGNETO_LSB_MASK;
	MOVLW       15
	ANDWF       magneto6_get_axis_value_lsb_read_L0+0, 0 
	MOVWF       R3 
	MOVF        R3, 0 
	MOVWF       magneto6_get_axis_value_lsb_read_L0+0 
;driver.c,159 :: 		axis_value = msb_read;
	MOVF        R0, 0 
	MOVWF       magneto6_get_axis_value_axis_value_L0+0 
	MOVLW       0
	MOVWF       magneto6_get_axis_value_axis_value_L0+1 
;driver.c,160 :: 		axis_value <<= HALF_BYTE_SHIFT;
	MOVLW       4
	MOVWF       R2 
	MOVF        magneto6_get_axis_value_axis_value_L0+0, 0 
	MOVWF       R0 
	MOVF        magneto6_get_axis_value_axis_value_L0+1, 0 
	MOVWF       R1 
	MOVF        R2, 0 
L__magneto6_get_axis_value21:
	BZ          L__magneto6_get_axis_value22
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	ADDLW       255
	GOTO        L__magneto6_get_axis_value21
L__magneto6_get_axis_value22:
	MOVF        R0, 0 
	MOVWF       magneto6_get_axis_value_axis_value_L0+0 
	MOVF        R1, 0 
	MOVWF       magneto6_get_axis_value_axis_value_L0+1 
;driver.c,161 :: 		axis_value |= lsb_read;
	MOVF        R3, 0 
	IORWF       R0, 1 
	MOVLW       0
	IORWF       R1, 1 
	MOVF        R0, 0 
	MOVWF       magneto6_get_axis_value_axis_value_L0+0 
	MOVF        R1, 0 
	MOVWF       magneto6_get_axis_value_axis_value_L0+1 
;driver.c,162 :: 		axis_value += signed_val;
	MOVF        magneto6_get_axis_value_signed_val_L0+0, 0 
	ADDWF       R0, 1 
	MOVF        magneto6_get_axis_value_signed_val_L0+1, 0 
	ADDWFC      R1, 1 
	MOVF        R0, 0 
	MOVWF       magneto6_get_axis_value_axis_value_L0+0 
	MOVF        R1, 0 
	MOVWF       magneto6_get_axis_value_axis_value_L0+1 
;driver.c,163 :: 		return axis_value;
;driver.c,164 :: 		}
L_end_magneto6_get_axis_value:
	RETURN      0
; end of _magneto6_get_axis_value

_magneto6_get_axes_value:

;driver.c,166 :: 		void magneto6_get_axes_value ( magneto6_axes_t *axes )
;driver.c,168 :: 		axes->x = magneto6_get_axis_value( MAGNETO6_AXIS_X );
	MOVF        FARG_magneto6_get_axes_value_axes+0, 0 
	MOVWF       FLOC__magneto6_get_axes_value+0 
	MOVF        FARG_magneto6_get_axes_value_axes+1, 0 
	MOVWF       FLOC__magneto6_get_axes_value+1 
	MOVLW       170
	MOVWF       FARG_magneto6_get_axis_value_axis+0 
	CALL        _magneto6_get_axis_value+0, 0
	MOVFF       FLOC__magneto6_get_axes_value+0, FSR1L+0
	MOVFF       FLOC__magneto6_get_axes_value+1, FSR1H+0
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
;driver.c,169 :: 		axes->y = magneto6_get_axis_value( MAGNETO6_AXIS_Y );
	MOVLW       2
	ADDWF       FARG_magneto6_get_axes_value_axes+0, 0 
	MOVWF       FLOC__magneto6_get_axes_value+0 
	MOVLW       0
	ADDWFC      FARG_magneto6_get_axes_value_axes+1, 0 
	MOVWF       FLOC__magneto6_get_axes_value+1 
	MOVLW       187
	MOVWF       FARG_magneto6_get_axis_value_axis+0 
	CALL        _magneto6_get_axis_value+0, 0
	MOVFF       FLOC__magneto6_get_axes_value+0, FSR1L+0
	MOVFF       FLOC__magneto6_get_axes_value+1, FSR1H+0
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
;driver.c,170 :: 		axes->z = magneto6_get_axis_value( MAGNETO6_AXIS_Z );
	MOVLW       4
	ADDWF       FARG_magneto6_get_axes_value_axes+0, 0 
	MOVWF       FLOC__magneto6_get_axes_value+0 
	MOVLW       0
	ADDWFC      FARG_magneto6_get_axes_value_axes+1, 0 
	MOVWF       FLOC__magneto6_get_axes_value+1 
	MOVLW       204
	MOVWF       FARG_magneto6_get_axis_value_axis+0 
	CALL        _magneto6_get_axis_value+0, 0
	MOVFF       FLOC__magneto6_get_axes_value+0, FSR1L+0
	MOVFF       FLOC__magneto6_get_axes_value+1, FSR1H+0
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
;driver.c,171 :: 		}
L_end_magneto6_get_axes_value:
	RETURN      0
; end of _magneto6_get_axes_value
